- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
Lists all ACL policies owned by a project in either the specified location (region) or all locations.
The location should have the following format:
projects/{projectId}/locations/{locationId}
If locationId is specified as - (wildcard), then all regions available to the project are queried, and the results are aggregated.
HTTP request
GET https://memorystore.googleapis.com/v1/{parent=projects/*/locations/*}/aclPolicies The URLs use gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
parent |
Required. The resource name of the ACL policy location using the form: |
Query parameters
| Parameters | |
|---|---|
pageSize |
Optional. The maximum number of items to return. If not specified, a default value of 1000 will be used by the service. Regardless of the pageSize value, the response may include a partial list and a caller should only rely on response's The maximum value is 1000; values above 1000 will be coerced to 1000. |
pageToken |
Optional. The |
Request body
The request body must be empty.
Response body
Response for aclPolicies.list.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"aclPolicies": [
{
object ( |
| Fields | |
|---|---|
aclPolicies[] |
A list of ACL policies in the project in the specified location, or across all locations. If the |
nextPageToken |
Token to retrieve the next page of results, or empty if there are no more results in the list. |
unreachable[] |
Unordered list. Locations that could not be reached. |
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/memorystore.read-write
IAM Permissions
Requires the following IAM permission on the parent resource:
memorystore.aclPolicies.list
For more information, see the IAM documentation.